## ros-indigo-kobuki-dock-drive 0.6.5

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(kobuki_dock_drive)

##############################################################################
# Find Packages
##############################################################################

find_package(catkin
    REQUIRED
    COMPONENTS
        ecl_build
        ecl_threads
        ecl_geometry
        ecl_linear_algebra
)

##############################################################################
# Exports
##############################################################################

catkin_package(
   INCLUDE_DIRS include
   LIBRARIES kobuki_dock_drive
   CATKIN_DEPENDS ecl_threads ecl_geometry ecl_linear_algebra
)

##############################################################################
# Project Configuration
##############################################################################

ecl_enable_cxx11_compiler()
include_directories(include ${catkin_INCLUDE_DIRS})

##############################################################################
# Sources
##############################################################################

add_library(kobuki_dock_drive src/dock_drive.cpp src/dock_drive_states.cpp src/dock_drive_debug.cpp)
target_link_libraries(kobuki_dock_drive ${catkin_LIBRARIES})

##############################################################################
# Installs
##############################################################################

install(TARGETS kobuki_dock_drive
        DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)
install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-kobuki-dock-drive (0.6.5-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Younghun Ju <yhju@yujinrobot.com>  Wed, 09 Nov 2016 07:42:43 -0000

ros-indigo-kobuki-dock-drive (0.6.2-0trusty) trusty; urgency=high

  * enable the cx11 compiler

 -- Younghun Ju <yhju@yujinrobot.com>  Fri, 08 Jan 2016 15:00:00 -0000

ros-indigo-kobuki-dock-drive (0.6.0-0trusty) trusty; urgency=high

  * Redevelopment of kobuki dock drive algorithm.
  * Contributors: Jihoon Lee

 -- Younghun Ju <yhju@yujinrobot.com>  Sun, 03 Aug 2014 15:00:00 -0000

ros-indigo-kobuki-dock-drive (0.5.3-0trusty) trusty; urgency=high



 -- Younghun Ju <yhju@yujinrobot.com>  Thu, 05 Sep 2013 15:00:00 -0000

ros-indigo-kobuki-dock-drive (0.5.2-0trusty) trusty; urgency=high



 -- Younghun Ju <yhju@yujinrobot.com>  Fri, 30 Aug 2013 15:00:00 -0000

ros-indigo-kobuki-dock-drive (0.5.1-0trusty) trusty; urgency=high



 -- Younghun Ju <yhju@yujinrobot.com>  Thu, 29 Aug 2013 15:00:00 -0000

ros-indigo-kobuki-dock-drive (0.5.0-0trusty) trusty; urgency=high

  * Added extra url info on all packages.
  * adds params for kobuki_auto_docking launchers.
  * Changelogs at package level.
  * 32 bit alignment error. Fast fix: just remove the
    eigen-inheritor attribute, as it's not really needed. It was already
    commented in a previous commit; here I just cleanup and provide a
    description of the fix.
    But the fact is that something is wrong on ecl. We keep track on.
  * Fixed Eigenlib alignment error on 32 bit architectures.

 -- Younghun Ju <yhju@yujinrobot.com>  Wed, 28 Aug 2013 15:00:00 -0000

ros-indigo-kobuki-dock-drive (0.4.0-0trusty) trusty; urgency=high

  * Add minimum speed parameters: with heavy payloads, at very low speeds, the robot can get stuck easily.
  * Remove motors enabling/disabling, as it can be confusing and it's not particularly useful.

 -- Younghun Ju <yhju@yujinrobot.com>  Thu, 08 Aug 2013 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-kobuki-dock-drive
Section: misc
Priority: extra
Maintainer: Younghun Ju <yhju@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-ecl-build, ros-indigo-ecl-geometry, ros-indigo-ecl-linear-algebra, ros-indigo-ecl-threads
Homepage: http://ros.org/wiki/kobuki_dock_drive
Standards-Version: 3.9.2

Package: ros-indigo-kobuki-dock-drive
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-ecl-geometry, ros-indigo-ecl-linear-algebra, ros-indigo-ecl-threads
Description: Dock driving library for Kobuki.
 Users owning a docking station for Kobuki can use this tool to develop autonomous docking drive algorithms.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-kobuki-dock-drive//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
